{%- macro render_result_asn(geoip_result) %}
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h3 class="panel-title">{{ _('ASN lookup') }}</h3>
                        </div>
                        <table class="table">
                            <tbody>
                                {%- if 'asn' in geoip_result['asn'] %}
                                <tr>
                                    <th>{{ _('AS number') }}:</th>
                                    <td>{{ geoip_result['asn']['asn'] }}</td>
                                </tr>
                                {%- endif %}
                                {%- if 'org' in geoip_result['asn'] %}
                                <tr>
                                    <th>{{ _('Organization') }}:</th>
                                    <td>{{ geoip_result['asn']['org'] }}</td>
                                </tr>
                                {%- endif %}
                            </tbody>
                        </table>
                    </div>
{%- endmacro %}

{%- macro render_result_city(geoip_result) %}
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h3 class="panel-title">{{ _('City lookup') }}</h3>
                        </div>
                        <table class="table">
                            <tbody>
                                {%- if 'cnt_name' in geoip_result['city'] and geoip_result['city']['cnt_name'] %}
                                <tr>
                                    <th>{{ _('Continent') }}:</th>
                                    <td>{{ geoip_result['city']['cnt_name'] }} ({{ geoip_result['city']['cnt_code'] | upper }})</td>
                                </tr>
                                {%- endif %}
                                {%- if 'ctr_name' in geoip_result['city'] and geoip_result['city']['ctr_name'] %}
                                <tr>
                                    <th>{{ _('Country') }}:</th>
                                    <td>{{ geoip_result['city']['ctr_name'] }} ({{ geoip_result['city']['ctr_code'] | upper }}, {{ get_country_flag(geoip_result['city']['ctr_code']) }})</td>
                                </tr>
                                {%- endif %}
                                {%- if 'cty_name' in geoip_result['city'] and geoip_result['city']['cty_name'] %}
                                <tr>
                                    <th>{{ _('City') }}:</th>
                                    <td>{{ geoip_result['city']['cty_name'] }}</td>
                                </tr>
                                {%- endif %}
                                {%- if 'timezone' in geoip_result['city'] %}
                                <tr>
                                    <th>{{ _('Timezone') }}:</th>
                                    <td>{{ geoip_result['city']['timezone'] }}</td>
                                </tr>
                                {%- endif %}
                                {%- if 'latitude' in geoip_result['city'] and 'longitude' in geoip_result['city'] %}
                                <tr>
                                    <th>{{ _('Coordinates') }}:</th>
                                    <td>@{{ geoip_result['city']['latitude'] }},{{ geoip_result['city']['longitude'] }}</td>
                                </tr>
                                {%- endif %}
                            </tbody>
                        </table>
                    </div>
{%- endmacro %}
